PDA

View Full Version : *missing OpenGL 1.4 Attribute*


saweetnesstrev
01-30-05, 01:00 PM
v1.4 GL_Arb_Texture_env_crossbar with newer drivers...

Just look @ open gl extension viewer and you will see :( :angel:

Nutty
01-30-05, 01:41 PM
What driver and what card did you find this on?

rewt
01-30-05, 02:13 PM
I get the same results.

Forceware 67.66
glView 2.15

ATI_Dude
01-30-05, 02:53 PM
It's not needed since GL_NV_texture_env_combine4 essentially provides the same functions.

Red_Shift
01-30-05, 02:55 PM
Noob question:
On the registry tab of opengl extensions viewer, will something change in ogl games if I unlock the GL_ARB_shader_objects with the following description "NV4x GLSL Functionality"?

saweetnesstrev
01-30-05, 07:01 PM
Noob question:
On the registry tab of opengl extensions viewer, will something change in ogl games if I unlock the GL_ARB_shader_objects with the following description "NV4x GLSL Functionality"?

Suppose to enable OpenGL 2.0 GLSL functionalaity but with the newer drivers i think its already enabled..

saweetnesstrev
01-30-05, 07:03 PM
It's not needed since GL_NV_texture_env_combine4 essentially provides the same functions.

but why list it as missing and ATI cards doesn't list it as missing :rolleyes:

ATI_Dude
01-31-05, 07:39 PM
but why list it as missing and ATI cards doesn't list it as missing :rolleyes:

If you look up the extension you'll see that it's written against earlier OpenGL versions and ATI is one of the three companies behind it. In other words ATI cards might need the extension for backwards compatability while nVidia cards can fall back on their own extension.